@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap');

*{
    margin: 0;
    padding: 0;
    border: 0;
    font-family: "Poppins", sans-serif;
}

body{
    background-image: linear-gradient(to top, rgb(16, 61, 119), rgb(8, 12, 66));
    font-weight: 500;
    min-height: 97vh;
    min-width: 80vw;
}

h1{
    color: white;
    text-align: center;
    margin-top: 45px;
    font-size: 2.7em;
}

form{
    max-width: 600px;
    min-height: 350px;
    margin: auto;
    background: white;
    border-radius: 10px;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.212);
}

label{
    display: block;
    margin-top: 40px;
    padding-top: 5px;
    text-align: center;
}

span{
    font-size: 1.4em;
}

input{
    max-width: 250px;
    margin-left: 10px;
    height: 35px;
    border-bottom: 2px solid rgb(61, 61, 61);
    font-size: 1.2em;
    padding: 3px;
    padding-right: 3px;
    letter-spacing: 1px;
}

input:hover{
    background: rgb(238, 238, 238);
    transition-duration: 0.4s;

}

input:focus{
    outline: 0;
    transition: all 0.2s ease-in-out;
    border-bottom: 2px solid rgb(61, 61, 214);
}

/*Remover as setas do input */
input::-webkit-inner-spin-button{
    -webkit-appearance: none;
    -moz-appearance: none;
}

button{
    display: block;
    margin: auto;
    margin-top: 30px;
    width: 200px;
    height: 50px;
    font-size: 1.2em;
    color: rgb(27, 27, 202);
    font-weight: bold;
    background-color: rgb(241, 241, 241);
    border-radius: 15px;
    border: 4px solid rgb(36, 36, 175);   
    cursor: pointer;
}

button:hover{
    background-color: rgb(36, 36, 175);
    color: white;
    transition-duration: 0.3s;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.274);
    letter-spacing: 1px;
}

div#answer{
    margin: auto;
    margin-top: 40px;
    margin-bottom: 40px;
    border-radius: 10px;
    padding-top: 8px;
    background-color: white;
    max-width: 600px;
    min-height: 40px;
    font-size: 1.1em;
    text-align: center;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.212);
    display: none;
}

p.p-answer{
    text-align: center;
    margin-top: 10px;
    animation: bounceIn;
    animation-duration: 1s;
}
